diff --git qt5/config/qtcurveconfig.cpp qt5/config/qtcurveconfig.cpp
index df8ce89..41b9c86 100644
--- qt5/config/qtcurveconfig.cpp
+++ qt5/config/qtcurveconfig.cpp
@@ -1697,10 +1697,12 @@ void QtCurveConfig::setupStack()
         kwin->setNote(i18n("<p><b>NOTE:</b><i>The settings here affect the borders drawn around application windows and dialogs - and "
                            "not internal (or MDI) windows. Therefore, these settings will <b>not</b> be reflected in the Preview "
                            "page.</i></p>"));
+#ifndef Q_OS_OSX
         connect(qtcSlot(kwin, changed), qtcSlot(this, updateChanged));
+#endif
     }
     stack->insertWidget(i, kwin);
-    new CStackItem(stackList, i18n("Window Manager"), i++);
+    CStackItem *winManager = new CStackItem(stackList, i18n("Window Manager"), i++);
 
     new CStackItem(stackList, i18n("Window buttons"), i++);
     new CStackItem(stackList, i18n("Window button colors"), i++);
@@ -1718,6 +1720,9 @@ void QtCurveConfig::setupStack()
     stackList->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::MinimumExpanding);
     stackList->setSelectionMode(QAbstractItemView::SingleSelection);
     first->setSelected(true);
+#ifdef Q_OS_OSX
+    winManager->setDisabled(true);
+#endif
     connect(qtcSlot(stackList, itemSelectionChanged),
             qtcSlot(this, changeStack));
 }
